## org.hibernate.internal.util.io
Class StreamCopier

    java.lang.Object
      org.hibernate.internal.util.io.StreamCopier

    public class StreamCopier

extends Object

Utilities for copying I/O streams.

Field Summary
`static byte[]` `BUFFER`
`static int` `BUFFER_SIZE`

Constructor Summary
`StreamCopier()`

Method Summary
`static long` `copy(InputStream from, OutputStream into)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BUFFER_SIZE

    public static final int BUFFER_SIZE

See Also:
  Constant Field Values

### BUFFER

    public static final byte[] BUFFER

Constructor Detail

### StreamCopier

    public StreamCopier()

Method Detail

### copy

    public static long copy(InputStream from,
                            OutputStream into)

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.